---
labels:
  - graphQL
internalOnly: false
learnMore: https://graphql.com/learn/the-query/#querying-with-types-and-fields
---

A unit of data that belongs to a type in a schema. Every GraphQL query requests one or more fields.

```graphql
type Author {
  # id, firstName, and lastName are all fields of the Author type
  id: Int!
  firstName: String
  lastName: String
}
```
