---
labels:
  - Apollo
  - client
usageInstructions: Do not refer to this as only "Link."  Also referred to as "ApolloLink" for the class that clients instantiate.  A "Link Chain" is the term used to describe a series of links through which a request is passed.
internalOnly: false
learnMore: https://www.apollographql.com/docs/react/api/link/introduction
---

An Apollo Client library for customizing the flow of data between Apollo Client and your GraphQL server. Clients instantiate its `ApolloLink` class to create a link object that represents either a self-contained modification to a GraphQL operation or a side-effect.
